Skip to main content
POST
/
pay_splits
Create a pay split
curl --request POST \
  --url https://sandbox.nmbr.co/services/payroll/pay_splits \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "employee_id": "<id>",
  "type": "percentage",
  "priority_1_bank_account_id": "<id>",
  "priority_1_amount": 50,
  "priority_2_bank_account_id": "<id>",
  "priority_2_amount": 50
}
'
import requests

url = "https://sandbox.nmbr.co/services/payroll/pay_splits"

payload = {
    "employee_id": "<id>",
    "type": "percentage",
    "priority_1_bank_account_id": "<id>",
    "priority_1_amount": 50,
    "priority_2_bank_account_id": "<id>",
    "priority_2_amount": 50
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    employee_id: '<id>',
    type: 'percentage',
    priority_1_bank_account_id: '<id>',
    priority_1_amount: 50,
    priority_2_bank_account_id: '<id>',
    priority_2_amount: 50
  })
};

fetch('https://sandbox.nmbr.co/services/payroll/pay_splits', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<id>",
  "object": "pay_split",
  "data": {
    "employee": {
      "id": "<id>",
      "object": "employee",
      "links": {
        "self": "/employees/<id>"
      }
    },
    "type": "percentage",
    "title": null,
    "title_translations": null,
    "title_translated": null,
    "is_default": false,
    "priority_1_bank_account": {
      "id": "<id>",
      "object": "bank_account",
      "data": {
        "employee": {
          "id": "<id>",
          "object": "employee",
          "links": {
            "self": "/employees/<id>"
          }
        },
        "institution_number": "320",
        "institution_name": "President's Choice Bank",
        "institution_name_translations": {
          "en": "President's Choice Bank",
          "fr": "Banque le Choix du Président"
        },
        "institution_name_translated": "President's Choice Bank",
        "transit_number": "02002",
        "transit_address": "600-500 Lakeshore Blvd West POBOX600, Toronto, ON M5V 2V9",
        "account_number_last_3": "916",
        "is_primary": false,
        "is_deletable": false,
        "warnings": {
          "object": "list",
          "data": []
        },
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      "links": {
        "self": "/bank_accounts/<id>"
      }
    },
    "priority_1_amount": 50,
    "priority_2_bank_account": {
      "id": "<id>",
      "object": "bank_account",
      "data": {
        "employee": {
          "id": "<id>",
          "object": "employee",
          "links": {
            "self": "/employees/<id>"
          }
        },
        "institution_number": "320",
        "institution_name": "President's Choice Bank",
        "institution_name_translations": {
          "en": "President's Choice Bank",
          "fr": "Banque le Choix du Président"
        },
        "institution_name_translated": "President's Choice Bank",
        "transit_number": "02002",
        "transit_address": "600-500 Lakeshore Blvd West POBOX600, Toronto, ON M5V 2V9",
        "account_number_last_3": "916",
        "is_primary": false,
        "is_deletable": false,
        "warnings": {
          "object": "list",
          "data": []
        },
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      "links": {
        "self": "/bank_accounts/<id>"
      }
    },
    "priority_2_amount": 50,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/pay_splits/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
type
enum<string>
required

The split strategy. amount sends fixed dollar amounts in priority order with the last configured Bank Account receiving the remaining balance. percentage distributes by percentage; percentage must total 100% across all accounts.

Available options:
amount,
percentage
priority_1_bank_account_id
string
required
priority_1_amount
number<decimal>
required

The amount or percentage allocated to the first priority Bank Account.

Required range: 0 <= x <= 99999
priority_2_bank_account_id
string
required
employee_id
string

Must be present when contractor_id is either empty or not set.

contractor_id
string

Must be present when employee_id is either empty or not set.

title
string | null

A label for this pay split configuration.

Maximum string length: 255
title_translations
object | null

Optional translations for the title property.

is_default
boolean

Whether this is the default pay split for the Employee or Contractor.

priority_2_amount
number<decimal>

The amount or percentage for the second priority Bank Account. For amount-type splits, set to null if this is the last account (receives the remainder).

Required range: 0 <= x <= 99999
priority_3_bank_account_id
string
priority_3_amount
number<decimal>

The amount or percentage for the third priority Bank Account.

Required range: 0 <= x <= 99999
priority_4_bank_account_id
string
priority_4_amount
number<decimal>

The amount or percentage for the fourth priority Bank Account.

Required range: 0 <= x <= 99999
priority_5_bank_account_id
string
priority_5_amount
number<decimal>

The amount or percentage for the fifth priority Bank Account.

Required range: 0 <= x <= 99999
priority_6_bank_account_id
string
priority_6_amount
number<decimal>

The amount or percentage for the sixth priority Bank Account.

Required range: 0 <= x <= 99999
priority_7_bank_account_id
string
priority_7_amount
number<decimal>

The amount or percentage for the seventh priority Bank Account.

Required range: 0 <= x <= 99999

Response

201 - application/json

Created

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("pay_split").

data
Pay Split · object